@echo off
REM ' 
REM ' Uninstall
REM '

Echo --Where is Cacti installed?
Echo --Example: C:\inetpub\wwwroot\cacti  (!!!! without \ at the end)
Echo --
Set /P cactibasedir=
Echo -- What's the name of the Cacti Database?
set /p cactidbname=
Echo -- What's the cacti sql username?
set /p database_username=
Echo -- What's the password for %database_username%
set /p database_password=

echo check for Thold Unistalling > uninstall.log
if not %cactibasedir% == "" (
	if exist %cactibasedir%\poller.php (
		echo "Directory Check OK" >> uninstall.log
	) else (
		echo Cacti not found.  Please check syntax >> uninstall.log
		pause
		exit
	)
	echo Uninstalling from %cactibasedir% >> uninstall.log
) else (
	echo Possible error in syntax >> uninstall.log
	echo You must specify cacti root directory when prompted >> uninstall.log
	echo Example:  c:\inetpub\wwwroot\cacti >> uninstall.log

	pause
	exit
)

REM make sure we can uninstalling this
echo make sure we can uninstalling this >> uninstall.log

if not exist %cactibasedir%\thold (
		echo Thold is not installed... >> uninstall.log
		pause
		exit
	) else (
		echo Uninstallating of thold is possible >> uninstall.log
)

REM mysql check
echo mysql check >> uninstall.log
echo show tables;  > showtables.sql
mysql.exe %cactidbname% --user=%database_username% --password=%database_password% < showtables.sql >> uninstall.log 
echo 

REM restore first
echo restore files...

echo copy %cactibasedir%\graphs_new.php.bak %cactibasedir%\graphs_new.php >> uninstall.log
copy %cactibasedir%\graphs_new.php.bak %cactibasedir%\graphs_new.php >> uninstall.log
del %cactibasedir%\graphs_new.php.bak >> uninstall.log

echo copy %cactibasedir%\data_sources.php.bak %cactibasedir%\data_sources.php >> uninstall.log
copy %cactibasedir%\data_sources.php.bak %cactibasedir%\data_sources.php >> uninstall.log
del %cactibasedir%\data_sources.php.bak >> uninstall.log

echo copy %cactibasedir%\lib\functions.php.bak %cactibasedir%\lib\functions.php >> uninstall.log
copy %cactibasedir%\lib\functions.php.bak %cactibasedir%\lib\functions.php >> uninstall.log
del %cactibasedir%\lib\functions.php.bak >> uninstall.log

echo copy %cactibasedir%\include\config_arrays.php.bak %cactibasedir%\include\config_arrays.php >> uninstall.log
copy %cactibasedir%\include\config_arrays.php.bak %cactibasedir%\include\config_arrays.php >> uninstall.log
del %cactibasedir%\include\config_arrays.php.bak >> uninstall.log

echo copy %cactibasedir%\include\config_settings.php.bak %cactibasedir%\include\config_settings.php >> uninstall.log
copy %cactibasedir%\include\config_settings.php.bak %cactibasedir%\include\config_settings.php >> uninstall.log
del %cactibasedir%\include\config_settings.php.bak >> uninstall.log

echo copy %cactibasedir%\include\top_header.php.bak %cactibasedir%\include\top_header.php >> uninstall.log
copy %cactibasedir%\include\top_header.php.bak %cactibasedir%\include\top_header.php >> uninstall.log
del %cactibasedir%\include\top_header.php.bak >> uninstall.log

echo copy %cactibasedir%\include\top_graph_header.php.bak %cactibasedir%\include\top_graph_header.php >> uninstall.log
copy %cactibasedir%\include\top_graph_header.php.bak %cactibasedir%\include\top_graph_header.php >> uninstall.log
del %cactibasedir%\top_graph_header.php.bak >> uninstall.log

echo del %cactibasedir%\lib\thold-functions.php >> uninstall.log
del %cactibasedir%\lib\thold-functions.php >> uninstall.log
echo del %cactibasedir%\graph_thold.php >> uninstall.log
del %cactibasedir%\graph_thold.php >> uninstall.log
echo del %cactibasedir%\listthold.php >> uninstall.log
del %cactibasedir%\listthold.php >> uninstall.log
echo del %cactibasedir%\thold.php >> uninstall.log
del %cactibasedir%\thold.php >> uninstall.log

REM Drop Database
echo Drop Database  >> uninstall.log
echo "Uninstalling databases..."  >> uninstall.log
echo DROP TABLE thold;  > dropthold.sql
echo DROP TABLE tholdset;  >> dropthold.sql
echo DROP TABLE thold_data; >> dropthold.sql

mysql.exe %cactidbname% --user=%database_username% --password=%database_password% < dropthold.sql >> uninstall.log
rmdir %cactibasedir%\thold\

echo   >> uninstall.log
echo ************
echo "Uninstallation complete.  MAKE SURE YOU MODIFY YOUR SCHEDULER:"  >> uninstall.log
echo ************
pause
